/* shisa_cmd.h */

/* File autogenerated by gengetopt version 2.12.2  */

#ifndef SHISA_CMD_H
#define SHISA_CMD_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "shisa"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION VERSION
#endif

struct gengetopt_args_info
{
  int force_flag;	/* Allow removal of non-empty realms.\n (default=off).  */
  int enabled_flag;	/* Only dump or list enabled principals.\n (default=off).  */
  int disabled_flag;	/* Only dump or list disabled principals.\n (default=off).  */
  int keys_flag;	/* Print cryptographic key and password in hostkey format. (default=off).  */
  char * encryption_type_arg;	/* Override default key encryption type.  Valid values include 'aes128', 'aes256', 'aes' (same as 'aes256'), '3des', 'des-md5', 'des-md4', 'des-crc', 'des' (same as 'des-md5'), and 'arcfour'..  */
  long key_version_arg;	/* Version of key..  */
  char * password_arg;	/* Derive key from this password..  */
  long priority_arg;	/* Specify key priority, used to differentiate between keys when multiple keys are eligible for use.  Higher value means higher priority.  (default is 0, which mean a random key of the best etype is chosen).  */
  char * salt_arg;	/* Use specified salt for deriving key.  Defaults to concatenation of realm and (unwrapped) principal name..  */
  char * string_to_key_parameter_arg;	/* Encryption algorithm specific parameter for password derivation.  Currently only the AES algorithm can utilize this, where it is interpreted as the iteration count of the PKCS#5 PBKDF2 key deriver..  */
  char * configuration_file_arg;	/* Use specified configuration file..  */
  char * library_options_arg;	/* Parse string as configuration file statement..  */
  int verbose_flag;	/* Produce verbose output.\n (default=off).  */
  int quiet_flag;	/* Don't produce any diagnostic output.\n (default=off).  */

  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int add_given ;	/* Whether add was given.  */
  int dump_given ;	/* Whether dump was given.  */
  int key_add_given ;	/* Whether key-add was given.  */
  int key_remove_given ;	/* Whether key-remove was given.  */
  int list_given ;	/* Whether list was given.  */
  int modify_given ;	/* Whether modify was given.  */
  int remove_given ;	/* Whether remove was given.  */
  int force_given ;	/* Whether force was given.  */
  int enabled_given ;	/* Whether enabled was given.  */
  int disabled_given ;	/* Whether disabled was given.  */
  int keys_given ;	/* Whether keys was given.  */
  int encryption_type_given ;	/* Whether encryption-type was given.  */
  int key_version_given ;	/* Whether key-version was given.  */
  int password_given ;	/* Whether password was given.  */
  int priority_given ;	/* Whether priority was given.  */
  int random_given ;	/* Whether random was given.  */
  int salt_given ;	/* Whether salt was given.  */
  int string_to_key_parameter_given ;	/* Whether string-to-key-parameter was given.  */
  int configuration_file_given ;	/* Whether configuration-file was given.  */
  int library_options_given ;	/* Whether library-options was given.  */
  int verbose_given ;	/* Whether verbose was given.  */
  int quiet_given ;	/* Whether quiet was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* SHISA_CMD_H */
