/* shishi_cmd.h */

/* File autogenerated by gengetopt version 2.12.2  */

#ifndef SHISHI_CMD_H
#define SHISHI_CMD_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "shishi"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION VERSION
#endif

struct gengetopt_args_info
{
  int destroy_flag;	/* Destroy tickets in local cache, limited by any --client-name or --server-name. (default=off).  */
  int list_flag;	/* List tickets in local cache, limited by any --client-name and --server-name. (default=off).  */
  int renew_flag;	/* Renew ticket.  Use --server-name to specify ticket, default is the most recent renewable ticket granting ticket for the default realm. (default=off).  */
  int forwardable_flag;	/* Get a forwardable ticket, i.e., one that can be used to get forwarded tickets. (default=off).  */
  int forwarded_flag;	/* Get a forwarded ticket. (default=off).  */
  int proxiable_flag;	/* Get a proxiable ticket, i.e., one that can be used to get proxy tickets. (default=off).  */
  int proxy_flag;	/* Get a proxy ticket. (default=off).  */
  int renewable_flag;	/* Get a renewable ticket. (default=off).  */
  char * client_name_arg;	/* Client name. Default is login username..  */
  char * encryption_type_arg;	/* Encryption types to use.  ETYPE is either registered name or integer.  Valid values include 'aes128', 'aes256', 'aes' (same as 'aes256'), '3des', 'des-md5', 'des-md4', 'des-crc', 'des' (same as 'des-md5'), and 'arcfour'..  */
  char * endtime_arg;	/* Specify when ticket validity should expire.  The time syntax may be relative (to the start time), such as '20 hours', or absolute, such as '2001-02-03 04:05:06 CET'. The default is 8 hours after the start time..  */
  char * realm_arg;	/* Set default realm..  */
  char * renew_till_arg;	/* Specify renewable life of ticket.  Implies --renewable.  Accepts same time syntax as --endtime.  If --renewable is specified, the default is 1 week after the start time..  */
  char * server_name_arg;	/* Server name. Default is 'krbtgt/REALM' where REALM is client realm..  */
  char * starttime_arg;	/* Specify when ticket should start to be valid.  Accepts same time syntax as --endtime. The default is to become valid immediately..  */
  char * ticket_granter_arg;	/* Service name in ticket to use for authenticating request. Only for TGS. Defaults to 'krbtgt/REALM@REALM' where REALM is client realm..  */
  char * configuration_file_arg;	/* Read user configuration from FILE..  */
  char * ticket_file_arg;	/* Read tickets from FILE..  */
  char * library_options_arg;	/* Parse STRING as a configuration file statement..  */
  int quiet_flag;	/* Don't produce any diagnostic output.\n (default=off).  */
  char * system_configuration_file_arg;	/* Read system configuration from FILE..  */
  char * ticket_write_file_arg;	/* Write tickets from FILE.  Default is to write them back to where they were read from..  */

  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int destroy_given ;	/* Whether destroy was given.  */
  int list_given ;	/* Whether list was given.  */
  int renew_given ;	/* Whether renew was given.  */
  int forwardable_given ;	/* Whether forwardable was given.  */
  int forwarded_given ;	/* Whether forwarded was given.  */
  int proxiable_given ;	/* Whether proxiable was given.  */
  int proxy_given ;	/* Whether proxy was given.  */
  int renewable_given ;	/* Whether renewable was given.  */
  int client_name_given ;	/* Whether client-name was given.  */
  int encryption_type_given ;	/* Whether encryption-type was given.  */
  int endtime_given ;	/* Whether endtime was given.  */
  int realm_given ;	/* Whether realm was given.  */
  int renew_till_given ;	/* Whether renew-till was given.  */
  int server_name_given ;	/* Whether server-name was given.  */
  int starttime_given ;	/* Whether starttime was given.  */
  int ticket_granter_given ;	/* Whether ticket-granter was given.  */
  int configuration_file_given ;	/* Whether configuration-file was given.  */
  int ticket_file_given ;	/* Whether ticket-file was given.  */
  int library_options_given ;	/* Whether library-options was given.  */
  int quiet_given ;	/* Whether quiet was given.  */
  int system_configuration_file_given ;	/* Whether system-configuration-file was given.  */
  int ticket_write_file_given ;	/* Whether ticket-write-file was given.  */
  unsigned int verbose_given ;	/* Whether verbose was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* SHISHI_CMD_H */
